> ## Documentation Index
> Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /v1/device/routing/odp/nbrid

> Get BGP Neighbor addresses from ODP server

## OpenAPI

````json GET /v1/device/routing/odp/nbrid
{
  "openapi": "3.0.0",
  "info": {
    "title": "Graphiant APIs",
    "version": "1.0.0",
    "description": "Graphiant API documentation."
  },
  "servers": [
    {
      "url": "https://api.graphiant.com"
    }
  ],
  "security": [
    {
      "jwtAuth": []
    }
  ],
  "tags": [],
  "paths": {
    "/v1/device/routing/odp/nbrid": {
      "get": {
        "security": [
          {
            "jwtAuth": []
          }
        ],
        "parameters": [
          {
            "in": "header",
            "name": "Authorization",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Bearer token. Format: Bearer <your_token_here>"
          },
          {
            "name": "deviceId",
            "in": "query",
            "description": "Valid configured device ID > 0",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int64",
              "example": 1234567891011
            },
            "example": 1000000
          },
          {
            "name": "vrfName",
            "in": "query",
            "description": "Valid configured VRF name",
            "required": true,
            "schema": {
              "type": "string",
              "example": "example string"
            },
            "example": "default"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/v1DeviceRoutingOdpNbridGetResponse"
                }
              }
            }
          }
        },
        "description": "Get BGP Neighbor addresses from ODP server"
      }
    }
  },
  "components": {
    "schemas": {
      "v1DeviceRoutingOdpNbridGetResponse": {
        "type": "object",
        "properties": {
          "nbrs": {
            "type": "array",
            "items": {
              "type": "string",
              "example": "10.121.12.34, 1211:343:ac34::12",
              "description": "BGP Nbr addresses (required)"
            }
          },
          "pageInfo": {
            "$ref": "#/components/schemas/commonPageInfo"
          },
          "token": {
            "type": "string",
            "example": "xxxxxxxxx",
            "description": "Reference to the resultset being queried, this should be sent by the service as part of a previous request and so can be opaque to the client."
          }
        },
        "additionalProperties": false
      },
      "commonPageInfo": {
        "type": "object",
        "properties": {
          "currentPage": {
            "type": "integer",
            "format": "int32",
            "example": 1,
            "minimum": 0,
            "description": "The page number we are currently on (required)"
          },
          "endCursor": {
            "type": "string",
            "example": "xxxxxxy",
            "description": "Cursor pointing to the last record on the current page"
          },
          "hasNextPage": {
            "type": "boolean",
            "example": true,
            "description": "An indicator whether there is a page after this one in the resultset based on current position"
          },
          "hasPrevPage": {
            "type": "boolean",
            "example": true,
            "description": "An indicator whether there is a page before this one in the resultset based on current position"
          },
          "startCursor": {
            "type": "string",
            "example": "xxxxxx",
            "description": "Cursor pointing to the first record on the current page"
          },
          "totalPages": {
            "type": "integer",
            "format": "int32",
            "example": 4,
            "minimum": 0,
            "description": "The number of pages in the complete resultset based on the current length of the page (required)"
          },
          "totalRecords": {
            "type": "integer",
            "format": "int32",
            "example": 400,
            "minimum": 0,
            "description": "Describes the total number of records in the complete resultset (required)"
          }
        },
        "additionalProperties": false
      }
    },
    "securitySchemes": {
      "jwtAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "authorization",
        "description": "Use `Bearer <token>`"
      }
    }
  }
}
````

